Search

See Resources

Security Alerts

Oracle Security Bulletin: April 14

Advisory Overview

Qualys® Vulnerability R&D Lab has released new vulnerability checks in the Qualys Cloud Platform to protect organizations against 53 vulnerabilities that were fixed in 10 bulletins announced today by Oracle. Customers can immediately audit their networks for these and other new vulnerabilities by accessing their Qualys subscription. Visit our blog to see how to prioritize remediation.

Non-Qualys customers can audit their network for these and other vulnerabilities by signing up for a Qualys Free Trial, or by trying our FreeScan service.

Vulnerability Details

Oracle has released 10 security bulletins to fix newly discovered flaws in their software. Qualys has released the following checks for these new vulnerabilities:

  • Oracle Database April 2015 Security Update Multiple Vulnerabilities (CPUAPR2015)

    Severity
    Critical 4
    Qualys ID
    19966
    Vendor Reference
    CPUAPR015
    CVE Reference
    CVE-2015-0455, CVE-2015-0457, CVE-2015-0479, CVE-2015-0483
    CVSS Scores
    Base 9 / Temporal 6.7
    Description
    Oracle released a Critical Patch Update advisory for April 2015 that addresses several security vulnerabilities.

    The following Oracle database component are affected:
    - Java VM (CVE-2015-0457)
    - XDB - XML Database (CVE-2015-0455)
    - Core RDBMS (CVE-2015-0483)
    - XDK and XDB - XML Database (CVE-2015-0479)

    Consequence
    An attacker could affect the confidentiality, integrity and availability of data on the target system.
    Solution
    Oracle recommends that customers upgrade to the latest supported version of Oracle products in order to obtain the patches.
    Read Oracle Critical Patch Update Advisory - April 2015 for further information about the products affected and issues addressed.

    Patches:
    The following are links for downloading patches to fix these vulnerabilities:
    CPUAPR2015 Oracle Database (database)

  • Oracle Database April 2015 Patch Set Update (PSU) 12.1.0.2.3 Not Installed (Patch 20299023)

    Severity
    Critical 4
    Qualys ID
    19968
    Vendor Reference
    Oracle Metalink, Doc ID 1967243.1
    CVE Reference
    CVE-2015-0455, CVE-2015-0483
    CVSS Scores
    Base 6.8 / Temporal 5
    Description
    Oracle Database Patch Set Updates are proactive cumulative patches containing recommended bug fixes that are released on a regular schedule.

    Affected Software:
    Oracle Database 12.1.0.2

    Consequence
    Failure to apply this patch could lead to loss of the integrity of the database.

    Solution
    Customers are requested to refer to CPUAPR2015 to obtain details about how to deploy the update.

    Patches:
    The following are links for downloading patches to fix these vulnerabilities:
    Oracle 12.1.0.2.3

  • Oracle Database April 2015 Patch Set Update (PSU) 12.1.0.1.7 Not Installed (Patch 20299016)

    Severity
    Critical 4
    Qualys ID
    19967
    Vendor Reference
    Oracle Metalink, Doc ID 1967243.1
    CVE Reference
    CVE-2015-0455, CVE-2015-0479, CVE-2015-0483
    CVSS Scores
    Base 6.8 / Temporal 5
    Description
    Oracle Database Patch Set Updates are proactive cumulative patches containing recommended bug fixes that are released on a regular schedule.

    Affected Software:
    Oracle Database 12.1.0.1

    Consequence
    Failure to apply this patch could lead to loss of the integrity of the database.

    Solution
    Refer to CPUAPR2015 to obtain details about how to deploy the update.

    Patches:
    The following are links for downloading patches to fix these vulnerabilities:
    Oracle 12.1.0.1.7

  • Oracle Database April 2015 Patch Set Update (PSU) 11.1.0.7.23 Not Installed (Patch 20299012)

    Severity
    Critical 4
    Qualys ID
    19969
    Vendor Reference
    Oracle Metalink, Doc ID 1967243.1
    CVE Reference
    CVE-2015-0483
    CVSS Scores
    Base 4 / Temporal 3
    Description
    Oracle Database Patch Set Updates are proactive cumulative patches containing recommended bug fixes that are released on a regular schedule.

    Affected Software:
    Oracle Database 11.1.0.7

    Consequence
    Failure to apply this patch could lead to loss of the integrity of the database.
    Solution
    Customers are requested to refer to CPUAPR2015 to obtain details about how to deploy the update.

    Patches:
    The following are links for downloading patches to fix these vulnerabilities:
    Oracle Database 11.1.0.7.23

  • Oracle Database April 2015 Patch Set Update (PSU) 11.2.0.3.14 Not Installed (Patch 20299017)

    Severity
    Critical 4
    Qualys ID
    19971
    Vendor Reference
    Oracle Metalink, Doc ID 1967243.1
    CVE Reference
    CVE-2015-0455, CVE-2015-0479, CVE-2015-0483
    CVSS Scores
    Base 6.8 / Temporal 5
    Description
    Oracle Database Patch Set Updates are proactive cumulative patches containing recommended bug fixes that are released on a regular schedule.

    Affected Software:
    Oracle Database 11.2.0.3

    Consequence
    Failure to apply this patch could lead to loss of the integrity of the database.
    Solution
    Customers are requested to refer to CPUAPR2015 to obtain details about how to deploy the update.

    Patches:
    The following are links for downloading patches to fix these vulnerabilities:
    Oracle Database 11.2.0.3.14

  • Oracle Database April 2015 Patch Set Update (PSU) 11.2.0.4.6 Not Installed (Patch 20299013)

    Severity
    Critical 4
    Qualys ID
    19972
    Vendor Reference
    Oracle Metalink, Doc ID 1967243.1
    CVE Reference
    CVE-2015-0455, CVE-2015-0479, CVE-2015-0483
    CVSS Scores
    Base 6.8 / Temporal 5
    Description
    Oracle Database Patch Set Updates are proactive cumulative patches containing recommended bug fixes that are released on a regular schedule.

    Affected Software:
    Oracle Database 11.2.0.4

    Consequence
    Failure to apply this patch could lead to loss of the integrity of the database.
    Solution
    Customers are requested to refer to CPUAPR2015 to obtain details about how to deploy the update.

    Patches:
    The following are links for downloading patches to fix these vulnerabilities:
    Oracle Database 11.2.0.4.5

  • Solaris 11.2 Support Repository Update (SRU) 9.5.0 Missing

    Severity
    Serious 3
    Qualys ID
    123523
    Vendor Reference
    Oracle Solaris 11.2 SRU 9.5.0
    CVE Reference
    CVE-2014-5353, CVE-2014-9297, CVE-2014-9623, CVE-2015-0255, CVE-2015-0471, CVE-2015-1802, CVE-2015-1803, CVE-2015-1804, CVE-2015-2188, CVE-2015-2189, CVE-2015-2190
    CVSS Scores
    Base 8.5 / Temporal 6.3
    Description
    The target does not have Solaris 11.2 SRU 9.5.0 applied.

    The Support Repository Updates provide patch bundles/updates that primarily contain bug fixes.

    Consequence
    Exploitation could result in disclosure of sensitive information, execution of arbitrary code or result in a denial of service.
    Solution
    To resolve this issue apply Solaris 11.2 SRU 9.5.0.

    Refer to Oracle Solaris 11.2 Support Repository Updates (SRU) Index.

    Patches:
    The following are links for downloading patches to fix these vulnerabilities:
    Oracle Solaris 11.2 SRU 9.5.0 Solaris 11.2

  • Oracle Solaris 10 Critical Patch Update Multiple Vulnerabilities (CPUAPR2015)

    Severity
    Critical 4
    Qualys ID
    123520
    Vendor Reference
    Oracle Solaris CPU April 2015
    CVE Reference
    CVE-2015-0471, CVE-2015-2574, CVE-2015-2577
    CVSS Scores
    Base 7.2 / Temporal 5.3
    Description
    Multiple vulnerabilities affecting Oracle Solaris 10 could allow malicious users to compromise the confidentiality, integrity or availability of the targeted system.

    Oracle has released Solaris 10 patches required to resolve the vulnerabilities listed on the April 2015 CPU.

    Affected Versions:
    Solaris 10 on x86 and SPARC platforms is affected.

    Consequence
    Successful exploitation could allow an attacker to compromise a vulnerable system.

    Solution
    Refer to Oracle CPU April 2015 for Sun Products to address this issue and obtain more information.

    Patches:
    The following are links for downloading patches to fix these vulnerabilities:
    Oracle Solaris CPU April 2015 Solaris 10

  • Oracle Java SE Critical Patch Update - April 2015

    Severity
    Critical 4
    Qualys ID
    123519
    Vendor Reference
    Oracle Java SE CPU April 2015
    CVE Reference
    CVE-2015-0204, CVE-2015-0458, CVE-2015-0459, CVE-2015-0460, CVE-2015-0469, CVE-2015-0470, CVE-2015-0477, CVE-2015-0478, CVE-2015-0480, CVE-2015-0484, CVE-2015-0486, CVE-2015-0488, CVE-2015-0491, CVE-2015-0492
    CVSS Scores
    Base 10 / Temporal 7.4
    Description
    Java Runtime Environment (JRE) is a platform that supports the execution of programs that are developed using the Java programming language. The JRE platform also supports Java Applets, which can be loaded from Web pages.

    JRE and JDK are exposed to multiple vulnerabilities that affect various components. Oracle's Java Critical Patch Update for April 2015 contains 15 new security fixes across multiple Java SE products and sub-products.

    Affected Versions:
    Oracle Java JDK and JRE, versions 5.0u81 and earlier, 6u91 and earlier, 7u76 and earlier, 8u40 and earlier.

    Consequence
    Exploitation could allow an attacker to take complete control of an affected system.
    Solution
    The vendor released updates (Java SE JDK and JRE 8 Update 45, Java SE JDK and JRE 7 Update 79, Java SE JDK and JRE 6 Update 95, Java SE JDK and JRE 5.0 Update 85) to resolve these issues.

    Refer to vendor advisory Oracle Java SE CPU April 2015 and Oracle Doc ID 1992462.1 to obtain more details.

    Updates for Java 5 and Java 6 are no longer available to the public. Oracle offers updates to Java 5 and Java 6 only for customers who have purchased Java support or have Oracle products that require Java 5 and Java 6.

    Patches:
    The following are links for downloading patches to fix these vulnerabilities:
    Oracle Java SE CPU April 2015 Oracle Java

  • Oracle MySQL April 2015 Critical Patch Update (CPUAPR2015)

    Severity
    Serious 3
    Qualys ID
    19970
    Vendor Reference
    MySQL CPUAPR2015
    CVE Reference
    CVE-2014-3569, CVE-2015-0405, CVE-2015-0423, CVE-2015-0433, CVE-2015-0438, CVE-2015-0439, CVE-2015-0441, CVE-2015-0498, CVE-2015-0499, CVE-2015-0500, CVE-2015-0501, CVE-2015-0503, CVE-2015-0505, CVE-2015-0506, CVE-2015-0507, CVE-2015-0508, CVE-2015-0511, CVE-2015-2566, CVE-2015-2567, CVE-2015-2568, CVE-2015-2571, CVE-2015-2573
    CVSS Scores
    Base 5.7 / Temporal 4.2
    Description
    This Critical Patch Update contains 22 new security fixes for Oracle MySQL.

    Affected Versions:-
    Oracle MySQL Server versions 5.5.42, 5.6.23 and earlier.

    Consequence
    Successful exploitation could allow an attacker to affect the confidentiality, integrity and availability of data on the target system.

    Solution
    Refer to vendor advisory Oracle MySQL April 2015.

    Patches:
    The following are links for downloading patches to fix these vulnerabilities:
    Oracle Critical Patch Update April 2015 MYSQL 5.5.x (MYSQL)
    Oracle Critical Patch Update April 2015 MYSQL 5.6.x (MYSQL)

These new vulnerability checks are included in Qualys vulnerability signature 2.2.985-3. Each Qualys account is automatically updated with the latest vulnerability signatures as they become available. To view the vulnerability signature version in your account, from the Qualys Help menu, select the About tab.

Selective Scan Instructions Using Qualys

To perform a selective vulnerability scan, configure a scan profile to use the following options:

  1. Ensure access to TCP ports 135 and 139 are available.
  2. Enable Windows Authentication (specify Authentication Records).
  3. Enable the following Qualys IDs:
    • 19966
    • 19968
    • 19967
    • 19969
    • 19971
    • 19972
    • 123523
    • 123520
    • 123519
    • 19970
  4. If you would like the scan to return the Windows Hostname, also include QID 82044 and ensure access to UDP port 137 is available.
  5. If you would like to be notified if Qualys is unable to log on to a host (if Authentication fails), also include QID 105015.

In addition, prior to running a scan for these new vulnerabilities, you can estimate your exposure to these new threats by running the Risk Analysis Report, available from the Qualys Vulnerability Management Reports tab.

Technical Support

For more information, customers may contact Qualys Technical Support.

About Qualys

The Qualys Cloud Platform and its integrated suite of security and compliance applications provides organizations of all sizes with a global view of their security and compliance solutions, while drastically reducing their total cost of ownership. Qualys solutions include: continuous monitoring, vulnerability management, policy compliance, PCI compliance, security assessment questionnaire, web application scanning, web application firewall, malware detection and SECURE Seal for security testing of web sites.

Email or call us at +1 800 745 4355 or try our Global Contacts
Subscription Packages
Qualys Solutions
Qualys Community
Company
Free Trial & Tools
Popular Topics